PlayerNotes = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceDB-2.0", "AceHook-2.1")

local L = AceLibrary("AceLocale-2.2"):new("PlayerNotes")

PlayerNotes.curName = ""
PlayerNotes.curNote = ""

PlayerNotes:RegisterDB("PlayerNotesDB")

PlayerNotes:RegisterDefaults('realm', {['*'] = ""})

function PlayerNotes:OnEnable()
	-- Add new option "Note" to  popupmenus.
	UnitPopupButtons["NOTE"] = { text = L["Note"], dist = 0 }
	table.insert(UnitPopupMenus["PLAYER"], 2, "NOTE")
	table.insert(UnitPopupMenus["FRIEND"], 2, "NOTE")
	table.insert(UnitPopupMenus["PARTY"], 2, "NOTE")
	self:SecureHook("UnitPopup_OnClick")
end

function PlayerNotes:UnitPopup_OnClick()
	if this.value == "NOTE" then 
		if server and not UnitIsSameServer("player", unit) then
			self:OpenNote(getglobal(UIDROPDOWNMENU_INIT_MENU).name.."-"..server)
		else
			self:OpenNote(getglobal(UIDROPDOWNMENU_INIT_MENU).name)
		end
	end
end

function PlayerNotes:OpenNote(name)
	self.curNote = L["AddNoteHere"]
	if(self.db.realm[name] ~= "") then
		self.curNote = self.db.realm[name]
	end
	self.curName = name
	PlayerNoteFrame:Hide()	
	PlayerNoteFrame:Show()	
end

function PlayerNotes:SaveNote(note)
	self.db.realm[self.curName] = note
end
